import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Label;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JToolBar;

import quadbase.reportdesigner.designer.QbReportDesigner;

//Run this example from Report Designer install directory
//Report manager must be running
public class RDWithModifiedBars extends Applet implements ActionListener {
	static final long serialVersionUID = 1;
	public QbReportDesigner designer;
	JMenuItem newItem;

	public static void main(java.lang.String[] args) {

		try {

			RDWithModifiedBars doReport = new RDWithModifiedBars();
			doReport.doCustomizeDesignerMenuApplet(null);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	@Override
	public void init() {

		try {

			doCustomizeDesignerMenuApplet(this);
			setLayout(new BorderLayout());
			Panel panel = new Panel();
			panel.setLayout(new BorderLayout());
			panel.add("Center", new Label("LOADING"));
			add("Center", panel);

		} catch (Exception ex) {
			ex.printStackTrace();
		}

	}

	public void doCustomizeDesignerMenuApplet(Applet applet) throws Exception {
		QbReportDesigner.setServerAddress("127.0.0.1");
		QbReportDesigner.setServerPortNumber(22071);

		QbReportDesigner.setUseSysResourceImages(true);

		designer = new QbReportDesigner(applet, "RDWithModifiedBars.rpt");

		//	Add a new menu item
		JMenuBar menuBar = designer.getReportMenuBar();
		JMenu fileMenu = menuBar.getMenu(0);
		newItem = new JMenuItem("Hello World");
		newItem.addActionListener(this);
		fileMenu.insert(newItem, 7);

		//	Remove toolbar buttons
		JToolBar designBar = designer.getDesignerToolBar();
		designBar.remove(5); // Remove Separator
		designBar.remove(4); // Remove Apply Template Button
		designer.setSaveOnExitEnabled(false); // Do not prompt to save the report if unsaved on exiting Designer

		designer.setVisible(true);

	}

	public void actionPerformed(ActionEvent e) {

		/*** save report **********/
		designer.save("RDWithModifiedBars_Temp.rpt");
		/**** create new testing frame *********/
		JPanel contentPane = new JPanel();
		contentPane.setLayout(new BorderLayout());
		contentPane.add(new JLabel("Hello World!"), "Center");
		JFrame frame = new JFrame();
		frame.setContentPane(contentPane);
		frame.pack();
		frame.setVisible(true);

	}

}